View Issue Details

IDProjectCategoryView StatusLast Update
0005338DarkRadiantDesign/Codingpublic27.09.2020 04:48
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version2.8.1Fixed in Version2.8.1 
Summary0005338: Split Camera code into model and UI
DescriptionSome algorithms contained in the core binary rely on the camera position and angles, so even without any UI attached the core module needs to maintain one or more ICameraView instances.

The plan is to split off the ICameraView parts and move them to the core module, managed by a GlobalCameraViewManager. Leave the rest of the CamWnd implementation in the UI binary.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: camera_refactor a16f6dc5

2020-09-21 03:55:55

greebo

Details Diff
0005338: Rename CameraView base to IRadiantCameraView, since only RadiantCameraView derives from it Affected Issues
0005338
mod - include/icamera.h Diff File
mod - radiant/camera/RadiantCameraView.h Diff File

DarkRadiant: camera_refactor 63d92b66

2020-09-24 03:18:13

greebo

Details Diff
0005338: Rename GlobalCamera to GlobalCameraWndManager Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/Makefile.am Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/CameraSettings.cpp Diff File
mod - radiant/camera/tools/FreeMoveTool.h Diff File
mod - radiant/camera/tools/JumpToObjectTool.h Diff File
mod - radiant/camera/tools/PanViewTool.h Diff File
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/ui/mainframe/EmbeddedLayout.cpp Diff File
mod - radiant/ui/mainframe/FloatingLayout.cpp Diff File
mod - radiant/ui/mainframe/MainFrame.cpp Diff File
mod - radiant/ui/mainframe/RegularLayout.cpp Diff File
mod - radiant/ui/mainframe/SplitPaneLayout.cpp Diff File
mod - radiant/xyview/GlobalXYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/tools/CameraAngleTool.h Diff File
mod - radiant/xyview/tools/CameraMoveTool.h Diff File
mod - radiantcore/Makefile.am Diff File
add - radiantcore/camera/GlobalCameraManager.cpp Diff File
add - radiantcore/camera/GlobalCameraManager.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: camera_refactor 4ec5acb9

2020-09-25 13:53:44

greebo

Details Diff
0005338: Rename global camera interface, move to camera namespace. Affected Issues
0005338
mod - include/icamera.h Diff File
mod - include/icameraview.h Diff File
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.h Diff File
mod - radiant/ui/entitylist/EntityList.cpp Diff File
mod - radiant/ui/mainframe/MainFrame.cpp Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/tools/CameraAngleTool.h Diff File
mod - radiantcore/camera/GlobalCameraManager.cpp Diff File
mod - radiantcore/camera/GlobalCameraManager.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MapPosition.cpp Diff File
mod - radiantcore/map/MapPositionManager.cpp Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/map/RegionManager.cpp Diff File
mod - radiantcore/selection/clipboard/Clipboard.cpp Diff File

DarkRadiant: camera_refactor 87049712

2020-09-25 13:59:17

greebo

Details Diff
0005338: Remove unused legacy RadiantCameraView class Affected Issues
0005338
mod - include/icamera.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
rm - radiant/camera/RadiantCameraView.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: camera_refactor 24cad100

2020-09-25 15:32:42

greebo

Details Diff
0005338: Split off FreeMove-related functions into separate interface.
Important: wxEvtHandler needs to be first in the inheritance list.
Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - plugins/dm.editing/AIEditingPanel.h Diff File
mod - plugins/dm.editing/AIHeadPropertyEditor.h Diff File
mod - plugins/dm.editing/AIVocalSetPropertyEditor.h Diff File
mod - plugins/dm.objectives/ce/specpanel/TextSpecifierPanel.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File
mod - radiant/camera/tools/FreeMoveTool.h Diff File
mod - radiant/camera/tools/PanViewTool.h Diff File
mod - radiant/eventmanager/EventManager.h Diff File
mod - radiant/eventmanager/Statement.h Diff File
mod - radiant/eventmanager/Toggle.h Diff File
mod - radiant/ui/UserInterfaceModule.h Diff File
mod - radiant/ui/einspector/PropertyEditor.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowser.h Diff File
mod - radiant/ui/ortho/OrthoContextMenu.h Diff File
mod - radiant/uimanager/menu/MenuBar.h Diff File
mod - radiant/xyview/XYWnd.h Diff File

DarkRadiant: camera_refactor d9b3ccfb

2020-09-25 18:26:55

greebo

Details Diff
0005338: Camera class is now implementing the ICameraView interface. Refactoring. Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiantcore/camera/GlobalCameraManager.cpp Diff File

DarkRadiant: camera_refactor ce728f92

2020-09-26 03:01:22

greebo

Details Diff
0005338: Move UI keypress handling towards CamWnd. Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File

DarkRadiant: camera_refactor 1b96369c

2020-09-26 03:37:07

greebo

Details Diff
0005338: Reduce code duplication a bit Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File

DarkRadiant: camera_refactor 037efe34

2020-09-26 04:05:36

greebo

Details Diff
0005338: Move free move timer handling to CamWnd Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor 9bb4559d

2020-09-26 04:19:46

greebo

Details Diff
0005338: Cleanup Camera class, move key control timer Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor 430cd271

2020-09-26 04:33:34

greebo

Details Diff
0005338: Move Deferred motion handling to CamWnd Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor df6fc64e

2020-09-26 04:50:40

greebo

Details Diff
0005338: Some cleanup in Camera class Affected Issues
0005338
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor 54ae23ff

2020-09-26 05:00:38

greebo

Details Diff
0005338: Move FloorHeightWalker to separate file Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
add - radiant/camera/FloorHeightWalker.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: camera_refactor 40da5562

2020-09-26 05:04:34

greebo

Details Diff
0005338: Move ObjectFinder to separate file Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
add - radiant/camera/ObjectFinder.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: camera_refactor 65eb3cd0

2020-09-26 06:56:15

greebo

Details Diff
0005338: CamWnd is no longer implementing the ICameraView interface, this is implemented by the Camera class Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File

DarkRadiant: camera_refactor 720d3656

2020-09-26 08:01:43

greebo

Details Diff
0005338: Move free move calculations to CamWnd Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor af2e953b

2020-09-26 08:12:43

greebo

Details Diff
0005338: CamWnd has to implement both ICameraView and IFreeMoveView for the moment being, otherwise the FreeMoveTool breaks Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File

DarkRadiant: camera_refactor 7b6858ae

2020-09-26 09:17:07

greebo

Details Diff
0005338: Move freeMoveEnabled flag to CamWnd Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor 87eab982

2020-09-26 09:35:33

greebo

Details Diff
0005338: Privatise the rest of the Camera fields Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor 2d13193f

2020-09-26 10:37:01

greebo

Details Diff
0005338: Move View class to libs/render, to be shared across modules. Affected Issues
0005338
add - libs/render/View.h Diff File
mod - radiant/Makefile.am Diff File
mod - radiant/camera/CamWnd.cpp Diff File
rm - radiant/render/View.cpp Diff File
rm - radiant/render/View.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: camera_refactor 9f305aa5

2020-09-26 10:50:28

greebo

Details Diff
0005338: Remove unused Camera method Affected Issues
0005338
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File

DarkRadiant: camera_refactor feec10b7

2020-09-26 11:15:33

greebo

Details Diff
0005338: Move JumpToObject algorithm to JumpToObjectTool. Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/tools/JumpToObjectTool.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: camera_refactor 752c258c

2020-09-26 11:52:13

greebo

Details Diff
0005338: Camera interface supports updating the far clip plane distance, a setting which is always active Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File
mod - radiant/camera/CameraSettings.cpp Diff File

DarkRadiant: camera_refactor a976390a

2020-09-26 16:22:20

greebo

Details Diff
0005338: Rename a few callback routines Affected Issues
0005338
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.h Diff File

DarkRadiant: camera_refactor 2cce849f

2020-09-26 16:48:35

greebo

Details Diff
0005338: Move camera movement (discrete) to CamWnd. Affected Issues
0005338
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/Camera.cpp Diff File
mod - radiant/camera/Camera.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File

DarkRadiant: camera_refactor 71032a5a

2020-09-27 03:29:07

greebo

Details Diff
0005338: Move SelectionVolume to libs/selection folder.
Define IRenderView interface to extend the regular VolumeTest.
Move Camera implementation to core binary, activate GlobalCameraManager which creates the cameras.
Affected Issues
0005338
mod - include/icamera.h Diff File
mod - include/icameraview.h Diff File
add - include/irenderview.h Diff File
mod - libs/math/Viewer.h Diff File
mod - libs/render/View.h Diff File
mod - libs/selection/BestPoint.h Diff File
add - libs/selection/SelectionVolume.h Diff File
mod - radiant/Makefile.am Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiant/camera/tools/JumpToObjectTool.h Diff File
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiant/selection/SelectionMouseTools.cpp Diff File
rm - radiant/selection/SelectionTest.cpp Diff File
rm - radiant/selection/SelectionTest.h Diff File
mod - radiant/ui/entitylist/EntityList.cpp Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiantcore/Makefile.am Diff File
add - radiantcore/camera/CameraManager.cpp Diff File
rm - radiantcore/camera/GlobalCameraManager.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MapPosition.cpp Diff File
mod - radiantcore/map/MapPositionManager.cpp Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/map/RegionManager.cpp Diff File
mod - radiantcore/selection/clipboard/Clipboard.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: camera_refactor 0b2e4df9

2020-09-27 03:40:28

greebo

Details Diff
0005338: Remove CameraObserver interface in favour of a signal exposed by the CameraManager. Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
rm - radiant/camera/CameraObserver.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiantcore/camera/CameraManager.cpp Diff File
mod - radiantcore/camera/CameraManager.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: camera_refactor 292c04ab

2020-09-27 03:55:25

greebo

Details Diff
0005338: CameraManager is keeping track of Camera instances.
Use one function object taking an argument for creating Cameras instead of two.
Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiantcore/camera/Camera.cpp Diff File
mod - radiantcore/camera/Camera.h Diff File
mod - radiantcore/camera/CameraManager.cpp Diff File
mod - radiantcore/camera/CameraManager.h Diff File

DarkRadiant: camera_refactor 9040df9c

2020-09-27 04:09:23

greebo

Details Diff
0005338: Add combined update method to set origin and angles at the same time, triggering one single callback Affected Issues
0005338
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiantcore/camera/Camera.cpp Diff File
mod - radiantcore/camera/Camera.h Diff File
mod - radiantcore/camera/CameraManager.cpp Diff File
mod - radiantcore/camera/CameraManager.h Diff File

DarkRadiant: camera_refactor bb3002e8

2020-09-27 04:27:54

greebo

Details Diff
0005338: Move the "focus all cameras" and "get active cam" functionality to the CameraManager Affected Issues
0005338
mod - include/icamera.h Diff File
mod - include/icameraview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.h Diff File
mod - radiant/camera/tools/CameraMouseToolEvent.h Diff File
mod - radiant/camera/tools/FreeMoveTool.h Diff File
mod - radiant/camera/tools/JumpToObjectTool.h Diff File
mod - radiant/camera/tools/PanViewTool.h Diff File
mod - radiant/ui/entitylist/EntityList.cpp Diff File
mod - radiantcore/camera/CameraManager.cpp Diff File
mod - radiantcore/camera/CameraManager.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MapPosition.cpp Diff File
mod - radiantcore/map/MapPositionManager.cpp Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/map/RegionManager.cpp Diff File
mod - radiantcore/selection/clipboard/Clipboard.cpp Diff File

DarkRadiant: camera_refactor 6c6ed615

2020-09-27 04:40:51

greebo

Details Diff
0005338: Remove icamera.h header. Refactor some client code to use the ICameraView interface rather than accessing the CamWnd. Affected Issues
0005338
rm - include/icamera.h Diff File
mod - include/precompiled_interfaces.h Diff File
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.cpp Diff File
mod - radiant/camera/GlobalCameraWndManager.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiant/xyview/tools/CameraAngleTool.h Diff File
mod - radiant/xyview/tools/CameraMoveTool.h Diff File
mod - radiantcore/camera/CameraManager.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: camera_refactor 65179d48

2020-09-27 04:44:18

greebo

Details Diff
0005338: Map::focusViews should now work in UI-less mode. Affected Issues
0005338
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/map/RegionManager.cpp Diff File

Issue History

Date Modified Username Field Change
21.09.2020 03:55 greebo New Issue
21.09.2020 03:55 greebo Assigned To => greebo
21.09.2020 03:55 greebo Status new => assigned
21.09.2020 03:56 greebo Relationship added related to 0005336
21.09.2020 03:57 greebo Relationship deleted related to 0005336
25.09.2020 18:27 greebo Changeset attached => DarkRadiant camera_refactor a16f6dc5
25.09.2020 18:27 greebo Changeset attached => DarkRadiant camera_refactor 63d92b66
25.09.2020 18:27 greebo Changeset attached => DarkRadiant camera_refactor 87049712
25.09.2020 18:27 greebo Changeset attached => DarkRadiant camera_refactor 24cad100
25.09.2020 18:27 greebo Changeset attached => DarkRadiant camera_refactor 4ec5acb9
25.09.2020 18:27 greebo Changeset attached => DarkRadiant camera_refactor d9b3ccfb
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor ce728f92
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 1b96369c
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 037efe34
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 9bb4559d
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 430cd271
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor df6fc64e
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 54ae23ff
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 40da5562
26.09.2020 06:56 greebo Changeset attached => DarkRadiant camera_refactor 65eb3cd0
26.09.2020 08:12 greebo Changeset attached => DarkRadiant camera_refactor 720d3656
26.09.2020 08:12 greebo Changeset attached => DarkRadiant camera_refactor af2e953b
26.09.2020 10:47 greebo Changeset attached => DarkRadiant camera_refactor 7b6858ae
26.09.2020 10:47 greebo Changeset attached => DarkRadiant camera_refactor 87eab982
26.09.2020 10:47 greebo Changeset attached => DarkRadiant camera_refactor 2d13193f
26.09.2020 18:54 greebo Changeset attached => DarkRadiant camera_refactor 9f305aa5
26.09.2020 18:54 greebo Changeset attached => DarkRadiant camera_refactor feec10b7
26.09.2020 18:54 greebo Changeset attached => DarkRadiant camera_refactor 752c258c
26.09.2020 18:54 greebo Changeset attached => DarkRadiant camera_refactor a976390a
26.09.2020 18:54 greebo Changeset attached => DarkRadiant camera_refactor 2cce849f
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor 71032a5a
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor 0b2e4df9
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor 292c04ab
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor 9040df9c
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor bb3002e8
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor 6c6ed615
27.09.2020 04:46 greebo Changeset attached => DarkRadiant camera_refactor 65179d48
27.09.2020 04:47 greebo Target Version => 2.8.1
27.09.2020 04:47 greebo Status assigned => resolved
27.09.2020 04:47 greebo Resolution open => fixed
27.09.2020 04:47 greebo Fixed in Version => 2.8.1